#cHARGER LE PACKAGE PLYR
library("plyr")
# Assembler les fichiers biomes csv pour crer un tableau de donnes

list.F <-list.files(paste(getwd(),"/csv files-biomes",sep=""))

vec <- unlist(list.F)
list.F.biomes <-lapply (vec, function(x){
  read.table(paste(getwd(),"/csv files-biomes/",x, sep=""), h=T, sep=",")
})

biomes <-rbind.fill(list.F.biomes)
biomes <- biomes[!is.na(biomes$original_age),]
write.table(biomes, "data-biomes.txt", sep=";", row.names=F, quote=F)  

#Charger les tableaux de données
data<- read.table ("data-biomes.txt", h=T, sep=";")
data.info<- read.csv("data_info pollen.csv", h=T, sep=";")
colnames(data.info) <- c("site id", "sitename", "lat", "long", "elev", "site type", "ref")

data.info <- data.info[, 2:7]
data.info <- data.info[!duplicated(data.info$sitename),]


#Ajouter colonne Latitude:
vec <- as.vector(as.character(data$site_name))

lat<- lapply(vec, function(i){
  a <- data.info[data.info$sitename==i,2]
  return(a)
})
lat <- unlist(lat)
data <- mutate(data, Latitude = lat)

#Ajouter colonne intervalle temps:

cat.age <- rbind("0-10000 ans", "10000-20000 ans", "20000-70000 ans", "70000-130000 ans", "130000-XXX")
min.cat.age <- rbind(0, 10000, 20000, 70000, 130000)
max.cat.age <- rbind(10000, 20000, 70000, 130000, 1000000)
cat.age.dt <- data.frame(cat.age= as.character(cat.age), min.cat.age = as.numeric(min.cat.age),ax.cat.age = as.numeric(max.cat.age))

vec <- as.vector(as.numeric(data$original_age))
data.cat.age<-lapply(vec, function(i){
  cat.age.dt[cat.age.dt[[2]]<=i & cat.age.dt[[3]]>i ,1]
  
})

data <- mutate(data, Zone.temps = unlist(data.cat.age))

write.table(data,"Biomes-data.txt", row.names=F, quote=F, sep=";")

#Ajouter colonne zone Latitudinale:

cat.lat <- c("(a) 90-80S", "(b) 80-70S", "(c) 70-60S", "(d) 60-50S","(e) 50-40S","(f) 40-30S", "(g) 30-20S","(h) 20-10S","(i) 10S-0","(j) 10N-0", "(k) 20-10N","(l) 30-20N", "(m) 40-30N","(n) 50-40N","(o) 60-50N","(p) 70-60N","(q) 80-70N","(r) 90-80N")
min.cat.lat <- seq(-90, 80, by = 10)
max.cat.lat <- seq (-80, 90, by = 10)
cat.lat.dt <- data.frame(cat.lat, min.cat.lat,max.cat.lat)

vecL <- data$Latitude
data.cat.lat<-lapply(vecL, function(i){
  cat.lat.dt[cat.lat.dt[[2]]<i & cat.lat.dt[[3]]>i ,1]
})
data.cat.lat <- unlist(data.cat.lat)

data <- mutate(data, Zone.lat = data.cat.lat)

#Sauver la table modifie:
write.table(data,"Biomes1.txt", row.names=F, quote=F, sep=";")

#Dfinir des zones temporelles :
biomes <- read.csv("Biomes1.txt", h=T, sep=";")
zoneT1 <- subset(biomes, biomes$Zone.temps=="0-10000 ans")
zoneT2 <- subset(biomes, biomes$Zone.temps=="10000-20000 ans")
zoneT3 <- subset(biomes, biomes$Zone.temps=="20000-70000 ans")
zoneT4 <- subset(biomes, biomes$Zone.temps=="70000-130000 ans")
biomes2 <- subset(biomes, biomes$Zone.temps!="130000-XXX")

write.table(data,"Biomes2.txt", row.names=F, quote=F, sep=";")
